#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 postgresql-binary
version:              0.12.2
visibility:           public
id:                   postgresql-binary-0.12.2-WFv0ngQZASFvRxUt8nJpS
key:                  postgresql-binary-0.12.2-WFv0ngQZASFvRxUt8nJpS
license:              MIT
copyright:            (c) 2014, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/postgresql-binary 
synopsis:             Encoders and decoders for the PostgreSQL'\''s binary format
description:
    An API for dealing with PostgreSQL'\''s binary data format.

    It can be used to implement performant bindings to Postgres.
    E.g., <http://hackage.haskell.org/package/hasql "hasql">
    is based on this library.

    It supports all Postgres versions starting from 8.3
    and is tested against 8.3, 9.3 and 9.5
    with the @integer_datetimes@ setting off and on.

category:             PostgreSQL, Database, Codecs, Parsing
abi:                  19f3177029869fb2f2cbae27c00fbeaa
exposed:              True
exposed-modules:
    PostgreSQL.Binary.Data PostgreSQL.Binary.Decoding
    PostgreSQL.Binary.Encoding

hidden-modules:
    PostgreSQL.Binary.Encoding.Builders PostgreSQL.Binary.Prelude
    PostgreSQL.Binary.Integral PostgreSQL.Binary.Interval
    PostgreSQL.Binary.Numeric PostgreSQL.Binary.Time
    PostgreSQL.Binary.Inet PostgreSQL.Binary.BuilderPrim

import-dirs:          /usr/lib/ghc-8.10.1/site-local/postgresql-binary-0.12.2
library-dirs:         /usr/lib/ghc-8.10.1/site-local/postgresql-binary-0.12.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.1/postgresql-binary-0.12.2
hs-libraries:         HSpostgresql-binary-0.12.2-WFv0ngQZASFvRxUt8nJpS
depends:
    aeson-1.5.1.0-9ZdAa5h0lJg1SCgI7etVaW base-4.14.0.0
    base-prelude-1.3-I8Q05mVZ6da5V9ORp5dnoi
    binary-parser-0.5.5-5KJvCyoRRiY8Gfmonyof92 bytestring-0.10.10.0
    bytestring-strict-builder-0.4.5.3-DkniCxzwEH5iwLJhMD38K
    containers-0.6.2.1 loch-th-0.2.2-AnI9c0cEUA0EDQTEdIewMz
    network-ip-0.3.0.3-14ckolnDghbHnY13t0MJ7v
    placeholders-0.1-5EZJOo60uJJURzlenu3mo
    scientific-0.3.6.2-BtzHiI4gx0yCagEKMn6y95 text-1.2.3.2 time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.10.0-91W4S6Yfdzi8lLtBcprU0Q
    uuid-1.3.13-1KCk1LUZK5M503VY0QfPxR
    vector-0.12.1.2-2820kU4E8Rq2FpOG9Xf2aE

haddock-interfaces:
    /usr/share/doc/haskell-postgresql-binary/html/postgresql-binary.haddock

haddock-html:         /usr/share/doc/haskell-postgresql-binary/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

